%define major 8
%define libname %mklibname ksba %{major}
%define develname %mklibname ksba -d

Summary:        Library handling X.509 certificates and CMS data
Name:           libksba
Version:        1.5.0
%define subrel 2
Release:        %mkrel 1
License:        GPLv3
Group:          System/Libraries
URL:            http://www.gnupg.org/
Source0:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1:        ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
Patch0:         CVE-2022-3515.patch
Patch1:         CVE-2022-47629.patch
BuildRequires:  libgpg-error-devel >= 1.2
BuildRequires:  multiarch-utils >= 1.0.3

%description
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{libname}
Summary:        Library handling X.509 certificates and CMS data
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

%package -n %{develname}
Summary:        Development files for %{name} package
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname ksba 8 -d

%description -n %{develname}
KSBA is a library designed to build software based
on the X.509 and CMS protocols.

This package contains files needed to develop
applications using %{name} (For example Ägypten project).

%prep
%setup -q
%autopatch -p1

%build
%configure --disable-static
%make_build

%install
%make_install

%multiarch_binaries %{buildroot}%{_bindir}/ksba-config

rm -f %{buildroot}%{_libdir}/*.la

%check
%make_build check

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%doc AUTHORS ChangeLog README THANKS TODO
%multiarch %{multiarch_bindir}/ksba-config
%{_bindir}/ksba-config
%{_datadir}/aclocal/*
%{_includedir}/*.h
%{_infodir}/*.info*
%{_libdir}/*.so
%{_libdir}/pkgconfig/ksba.pc


%changelog
* Wed Dec 28 2022 ns80 <ns80> 1.5.0-1.2.mga8
+ Revision: 1927344
- add a patch from Debian for CVE-2022-47629 (mga#31311)
- add upstream patch for CVE-2022-3515 (mga#30975)

* Tue Nov 24 2020 luigiwalser <luigiwalser> 1.5.0-1.mga8
+ Revision: 1649069
- 1.5.0

* Wed Nov 18 2020 luigiwalser <luigiwalser> 1.4.0-1.mga8
+ Revision: 1647138
- 1.4.0

* Wed Aug 19 2020 ovitters <ovitters> 1.3.5-4.mga8
+ Revision: 1616026
- remove install-info scriptlets, rely on filetrigger instead (mga#27107)

* Thu Feb 13 2020 umeabot <umeabot> 1.3.5-3.mga8
+ Revision: 1514224
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.3.5-2.mga7
+ Revision: 1298953
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Mon Aug 22 2016 luigiwalser <luigiwalser> 1.3.5-1.mga6
+ Revision: 1047773
- 1.3.5

* Mon May 09 2016 luigiwalser <luigiwalser> 1.3.4-1.mga6
+ Revision: 1011466
- 1.3.4

* Tue Feb 09 2016 umeabot <umeabot> 1.3.3-2.mga6
+ Revision: 952591
- Mageia 6 Mass Rebuild

* Wed Apr 15 2015 luigiwalser <luigiwalser> 1.3.3-1.mga5
+ Revision: 820288
- 1.3.3

* Tue Nov 25 2014 luigiwalser <luigiwalser> 1.3.2-1.mga5
+ Revision: 799108
- 1.3.2

* Wed Oct 15 2014 umeabot <umeabot> 1.3.1-2.mga5
+ Revision: 741461
- Second Mageia 5 Mass Rebuild

* Wed Oct 08 2014 luigiwalser <luigiwalser> 1.3.1-1.mga5
+ Revision: 737599
- 1.3.1

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-4.mga5
+ Revision: 681565
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.3.0-3.mga4
+ Revision: 507143
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 357620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Sep 29 2012 luigiwalser <luigiwalser> 1.3.0-1.mga3
+ Revision: 300182
- 1.3.0

* Mon Aug 15 2011 fwang <fwang> 1.2.0-1.mga2
+ Revision: 133420
- new version 1.2.0

* Sat Jan 15 2011 mikala <mikala> 1.1.0-1.mga1
+ Revision: 18575
- Drop mdk macros
- Remove BuildRoot
- imported package libksba


* Mon Dec 06 2010 Funda Wang <fwang@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 611875
- update to new version 1.1.0

* Mon Aug 16 2010 Emmanuel Andry <eandry@mandriva.org> 1.0.8-1mdv2011.0
+ Revision: 570331
- New version 1.0.8
- update files list

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.7-2mdv2010.1
+ Revision: 520875
- rebuilt for 2010.1

* Sun Jul 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.7-1mdv2010.0
+ Revision: 400299
- New version 1.0.7

* Tue Jan 13 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.5-1mdv2009.1
+ Revision: 329152
- New version 1.O.5

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.4-1mdv2009.1
+ Revision: 326823
- New version 1.0.4
- drop old conditionnals

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.3-2mdv2009.0
+ Revision: 222914
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Thu Feb 21 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.3-1mdv2008.1
+ Revision: 173706
- new version
- new devel library policy
- do not provide COPYING file
- make use of %%major in file list

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2008.1
+ Revision: 150701
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Jul 06 2007 Andreas Hasenack <andreas@mandriva.com> 1.0.2-1mdv2008.0
+ Revision: 49172
- updated to version 1.0.2
- updated license tag to GPLv3


* Thu Nov 16 2006 David Walluck <walluck@mandriva.org> 1.0.0-1mdv2007.0
+ Revision: 84690
- 1.0.0
- Import libksba

* Mon Jul 24 2006 Emmanuel Andry <eandry@mandriva.org> 0.9.15-1mdv2007.0
- updated to version 0.9.15
- %%mkrel

* Fri Dec 02 2005 Andreas Hasenack <andreas@mandriva.com> 0.9.13-1mdk
- updated to version 0.9.13
- dropping automake17 buildrequirement, seems to build fine with 1.9

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.11-2mdk
- rebuild

* Thu May 19 2005 Arnaud de Lorbeau <adelorbeau@mandriva.com> 0.9.11-1mdk
- 0.9.11

* Sat Apr 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.10-2mdk
- fix deps and conditional %%multiarch
- requires-on-release

* Sun Dec 26 2004 Abel Cheung <deaddog@mandrakesoft.com> 0.9.10-1mdk
- New release 0.9.10

* Fri Aug 20 2004 Abel Cheung <deaddog@deaddog.org> 0.9.8-1mdk
- New version
- P1: Fix parallel build

* Fri May 21 2004 Abel Cheung <deaddog@deaddog.org> 0.9.6-1mdk
- New version
- Patch0: automake 1.8 compatibility

* Sat Jan 24 2004 Abel Cheung <deaddog@deaddog.org> 0.9.1-1mdk
- New version

* Wed Dec 10 2003 Abel Cheung <deaddog@deaddog.org> 0.9.0-1mdk
- New version
- Use official tar.gz instead, for proving legitimacy

